Bug 431745 - unresolved symbols in libmikmod (needs to be linked against libdl)
Summary: unresolved symbols in libmikmod (needs to be linked against libdl)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mikmod   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-06 19:05 UTC by Hans de Goede
Modified: 2013-07-02 23:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 07:49:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2008-02-06 19:05:06 UTC
Description of problem:
[hans@localhost ~]$ ldd -r /usr/lib64/libmikmod.so
undefined symbol: dlsym (/usr/lib64/libmikmod.so)
undefined symbol: dlopen        (/usr/lib64/libmikmod.so)
undefined symbol: dlclose       (/usr/lib64/libmikmod.so)
        linux-vdso.so.1 =>  (0x00007fff58ffd000)
        libc.so.6 => /lib64/libc.so.6 (0x00002aaaaaf41000)
        /lib64/ld-linux-x86-64.so.2 (0x00002aaaaaaab000)
[hans@localhost ~]$

Version-Release number of selected component (if applicable):
libmikmod-3.1.11-4.fc9.x86_64

I can take a stab at writing a fix for this and for bug 247865 if you want,
perhaps its an idea to co-maintain libmikmod like we are doing with allegro and
timidity++?

Comment 1 Jindrich Novy 2008-02-14 07:49:37 UTC
Sure, just apply on the fedora package database for libmikmod/mikmod and I'll
happily approve you as a comaintainer :)

libmikmod.so now links against libdl, thanks for noticing.

Comment 2 Hans de Goede 2008-02-14 10:49:41 UTC
Thanks for fixing this, I've requested the necessary rights for co-maintainance.

p.s.

Could you please take a look at bug 430417, this is the new legally ok patches
for timidity package, and its waiting for an ok / comment from you with regards
to the solution for how to manage /etc/timidity.cfg when multiple soundfonts can
be installed.



Note You need to log in before you can comment on or make changes to this bug.